Package org.eclipse.net4j.util.fsm

## Class FiniteStateMachine.ChangeStateTransition

- java.lang.Object
- - org.eclipse.net4j.util.fsm.FiniteStateMachine.ChangeStateTransition

- All Implemented Interfaces:
    `ITransition<STATE,​EVENT,​SUBJECT,​java.lang.Object>`
  Enclosing class:
    FiniteStateMachine<STATE extends java.lang.Enum<?>,​EVENT extends java.lang.Enum<?>,​SUBJECT>

      public class FiniteStateMachine.ChangeStateTransition
      extends java.lang.Object
      implements ITransition<STATE,​EVENT,​SUBJECT,​java.lang.Object>

  A `transition` that changes the `state` of a subject.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChangeStateTransition​(STATE targetState)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(SUBJECT subject, STATE state, EVENT event, java.lang.Object data)` |
    `STATE` | `getTargetState()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeStateTransition

          public ChangeStateTransition​(STATE targetState)

  - ### Method Detail

    - #### getTargetState

          public STATE getTargetState()

    - #### execute

          public void execute​(SUBJECT subject,
                              STATE state,
                              EVENT event,
                              java.lang.Object data)

      Specified by:
        `execute` in interface `ITransition<STATE extends java.lang.Enum<?>,​EVENT extends java.lang.Enum<?>,​SUBJECT,​java.lang.Object>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`